Bug 30967 - Revise software monitor module
Revise software monitor module
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Software monitor
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Florian Best
Alexander Kläser
: interim-2
: 24360 24633 29610 29655 32333 (view as bug list)
Depends on:
Blocks: 32285
  Show dependency treegraph
 
Reported: 2013-04-03 08:26 CEST by Stefan Gohmann
Modified: 2013-11-19 06:42 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-04-03 08:26:15 CEST
The UMC module should be like all other UMC modules with a starting grid and a search field.
Comment 1 Stefan Gohmann univentionstaff 2013-04-03 08:26:38 CEST
*** Bug 29655 has been marked as a duplicate of this bug. ***
Comment 2 Stefan Gohmann univentionstaff 2013-04-03 08:26:45 CEST
*** Bug 24360 has been marked as a duplicate of this bug. ***
Comment 3 Stefan Gohmann univentionstaff 2013-04-03 08:26:53 CEST
*** Bug 24633 has been marked as a duplicate of this bug. ***
Comment 4 Stefan Gohmann univentionstaff 2013-04-03 08:28:25 CEST
See also:

 Bug #24778 - Nutzlose Checkboxen
 Bug #9706 - [UMC] Software Monitor: Vergleichsoperator größer/kleiner bei Rechner-Rolle
 Bug #28787 - Typos im UMC-Modul
 Bug #28804 - Cache Verhalten PKGDB Modul
 Bug #29610 - Suche nach Paketen wirft einen Fehler
Comment 5 Moritz Muehlenhoff univentionstaff 2013-05-31 10:46:22 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 6 Florian Best univentionstaff 2013-07-02 12:32:24 CEST
*** Bug 28804 has been marked as a duplicate of this bug. ***
Comment 7 Florian Best univentionstaff 2013-07-04 11:03:11 CEST
(In reply to Stefan Gohmann from comment #0)
> The UMC module should be like all other UMC modules with a starting grid and
> a search field.
Layout has been unified.

The following bugs have also been resolved:
Bug #29655 
Bug #24360 
Bug #24633
Bug #9706
Bug #28787
Bug #28804
Bug #29610

Little performance enhancements have been made: LIMIT the number of packages in SQL not in python, don't order and sort packages because it is reordered by the UMC grid.
Comment 8 Florian Best univentionstaff 2013-07-04 11:34:49 CEST
Piwik has also been implemented.

univention-pkgdb (7.0.4-1)

The backend code has btw been reduced by 450 lines and an SQL injection vulnerability has been fixed ;) :D
Comment 9 Florian Best univentionstaff 2013-07-19 08:44:17 CEST
*** Bug 29610 has been marked as a duplicate of this bug. ***
Comment 10 Alexander Kläser univentionstaff 2013-08-21 18:47:18 CEST
Changelog → OK (minor adjustment)

Things that have been observed:
* The search is case-sensitive (this is a minor problem, IMHO)
* Module description:
"Abrufen von Software-Installationstati innerhalb der UCS-Domäne"
"Manage software installation status of all machines of your domain"
→ suggestion
"Verwalten der installierten Software-Versionen von Systemen in der UCS-Domäne"
"Manage installed software versions of systems in the UCS domain"

For "packages" subtab, the following adjustments would be nice:
* List "Package state" as 2nd entry in "Search for:".
* Combine all erroneous states of "Package state" (→ unpacked, half-configured, half-installed, triggers-awaited, triggers-pending) within one category (e.g. "incomplete") (you could also negate all "complete" states instead). This category is what a user probably would like to search for.
* The package states "uninstalled" and "not installed" could be merged, IMHO
* The package state "configfiles" could maybe be described more verbose (e.g., "config files only")
* Selection state "Unknown" could be "Not installed"
Comment 11 Stefan Gohmann univentionstaff 2013-08-21 20:10:00 CEST
(In reply to Alexander Kläser from comment #10)
> Changelog → OK (minor adjustment)
> 
> Things that have been observed:
> * The search is case-sensitive (this is a minor problem, IMHO)
> * Module description:
> "Abrufen von Software-Installationstati innerhalb der UCS-Domäne"
> "Manage software installation status of all machines of your domain"
> → suggestion
> "Verwalten der installierten Software-Versionen von Systemen in der
> UCS-Domäne"
> "Manage installed software versions of systems in the UCS domain"

It is only for UCS systems, maybe:
"Manage installed software versions of UCS systems in the domain"
Comment 12 Alexander Kläser univentionstaff 2013-08-22 09:59:16 CEST
Is it possible to remove disabling of buttons and widgets during searching?
Comment 13 Florian Best univentionstaff 2013-08-22 12:10:25 CEST
All points have been adressed.

univention-pkgdb (7.0.5-1)
Comment 14 Alexander Kläser univentionstaff 2013-08-23 17:36:02 CEST
The module looks good!

The package states "triggers-awaited" and "triggers-pending" are not supported.
→ OK, new Bug 32333

The module description was correct in the .po file, however, not in the .xml file.
→ OK, quick correction

Changelog → OK

Package state:
* German translation missing for "incomplete"
* upper/lower case → preferably start with upper case letter, in any case, please do it consistently (German + English)

→ REOPENED
Comment 15 Florian Best univentionstaff 2013-08-26 10:38:36 CEST
(In reply to Alexander Kläser from comment #14)

> The package states "triggers-awaited" and "triggers-pending" are not
> supported.
> → OK, new Bug 32333
The states has been added and appended to the "incomplete" state.

> Package state:
> * German translation missing for "incomplete"
Translation has been added.

> * upper/lower case → preferably start with upper case letter, in any case,
> please do it consistently (German + English)
Lower/Uppercase has been unified to capitalized style.
Comment 16 Florian Best univentionstaff 2013-08-26 10:39:36 CEST
*** Bug 32333 has been marked as a duplicate of this bug. ***
Comment 17 Alexander Kläser univentionstaff 2013-09-19 18:52:49 CEST
QA: Looks good :) .

I adapted the icon to match the new icon in the App Center.
Comment 18 Stefan Gohmann univentionstaff 2013-11-19 06:42:52 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".